LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XChangesSet Interface Referencepublished

this interface enables inspecting a set of changes forming one batch transaction. More...

`import"XChangesSet.idl";`

Inheritance diagram for XChangesSet:

## Public Member Functions
sequence< ElementChange > | getAllChanges ()
| queries for all contained changes at once. More...
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

this interface enables inspecting a set of changes forming one batch transaction.

An object implementing this interface should implement more container interfaces to access individual changes as well.

See also
  XChangesBatch
  ChangesEvent
  XChangesListener
  XChangesNotifier

## Member Function Documentation

## ◆ getAllChanges()

sequence< ElementChange > getAllChanges | ( |  | ) |

queries for all contained changes at once.

Returns
  an array of ElementChange holding information about each changes that is part of this object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XChangesSet.idl